> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequenzy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get A/B Test

> Get A/B test details and variants

Get one A/B test, including all variants and localization sync status for each variant.

## Request

<ParamField path="abTestId" type="string" required>
  A/B test ID.
</ParamField>

```bash theme={null}
curl "https://api.sequenzy.com/api/v1/ab-tests/ab_abc123" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

## Responses

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "abTest": {
      "id": "ab_abc123",
      "name": "Subject test",
      "status": "draft",
      "winnerCriteria": "open_rate",
      "winningVariantId": null,
      "variants": [
        {
          "id": "var_a",
          "label": "A",
          "emailId": "email_abc123",
          "subject": "Welcome",
          "previewText": null,
          "blocks": [],
          "localizations": []
        }
      ]
    }
  }
  ```

  ```json 401 theme={null}
  {
    "success": false,
    "error": "Unauthorized"
  }
  ```

  ```json 404 theme={null}
  {
    "success": false,
    "error": "A/B test not found"
  }
  ```
</ResponseExample>
